commit:     f9f1f07b7a0030b1c519f3bea132251fe46d68a0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat May  2 06:24:31 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat May  2 06:43:34 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9f1f07b

dev-python/pygit2: Bump to 1.2.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pygit2/Manifest            |  1 +
 dev-python/pygit2/pygit2-1.2.1.ebuild | 43 +++++++++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index fba5c41c53b..4d51e643171 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1,2 +1,3 @@
 DIST pygit2-1.0.3.tar.gz 501720 BLAKE2B 
ddfe228bb50df08c1b5e880f58be6b0ae111a10235b695ce93ef04b685507bda90cdccdacefd5400807cd19bc9c63b49061c2da73c89641fe9641c52a4ed16ab
 SHA512 
debf4018e6daa938f44cf22f2acec1f850156e30ac44052e2edb8257f86a60453428356851cc495ae234df9cdbee922a6a7ad7886c9a6e3746b7315c71f0a3df
 DIST pygit2-1.2.0.tar.gz 232458 BLAKE2B 
ce3bc95e107a572709e14e87f6bc31f6b991da5e541d65e551243a5aefd0a853818aeedeafcd6a6607e32d225f0331bca07015d54d538b0f3d9157255630e0be
 SHA512 
44ed29f8d10f4f784e6192b79f6a3924d64b22297cf335e9d005be578c3e0c77999855db802f71d2fcb5c053593ea2e9711e2cd191b3e185ec01c0d49e2ae1c6
+DIST pygit2-1.2.1.tar.gz 235852 BLAKE2B 
997c54359c87bdbb5338d6524ca119a058a2dfa9ec5079abfeac5e3f1312e7fe0b6a532cf3dcea6a2b317124337746b9e4fbaa71585bc88a8afa37f8b74a7f97
 SHA512 
2491892e50d9298d68c2f90b3c4b23c87e51995ccc29e285eb2f868f5e34d2568d5f554818203bf2c735179aeb197e3b7aba1be88e72a6526812e3ee2e0b4348

diff --git a/dev-python/pygit2/pygit2-1.2.1.ebuild 
b/dev-python/pygit2/pygit2-1.2.1.ebuild
new file mode 100644
index 00000000000..b9452ff5064
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.2.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       =dev-libs/libgit2-1.0*
+       dev-python/cached-property[${PYTHON_USEDEP}]
+       >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}
+       test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+src_prepare() {
+       distutils-r1_src_prepare
+
+       # unconditionally prevent it from using network
+       sed -i -e '/def no_network/a \
+    return True' test/utils.py || die
+
+       # we need to move them away to prevent pytest from forcing '..'
+       # for imports
+       mkdir hack || die
+       mv test hack/ || die
+       ln -s hack/test test || die
+}
+
+python_test() {
+       pytest -vv hack/test || die
+}

Reply via email to